Bug 204646 - mkinitrd broken by new version of /usr/bin/host for nfs-mounted root fs - fix included
mkinitrd broken by new version of /usr/bin/host for nfs-mounted root fs - fix...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Peter Jones
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-30 11:59 EDT by Alexander Aminoff
Modified: 2008-05-06 12:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:16:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Aminoff 2006-08-30 11:59:50 EDT
Description of problem:

mkinitrd fails when the root file system (as specified in fstab) is nfs-mounted 
(possibly only if the NFS server is specified by IP address)

Version-Release number of selected component (if applicable):

mkinitrd-5.0.32-1.src.rpm

How reproducible: yes

Steps to Reproduce:
1. Create a test fstab file with a line for root that looks like this:

66.251.72.43:/vol/vol1/Fedora-5-test  /         nfs     defaults        1 1

2. mkinitrd --fstab=/path/to/test-fstab test-initrd <version>
  
Actual results:

Error: an inet prefix is expected rather than "pointer".
unable to find network device configuration for
/sbin/mkinitrd: line 388: /etc/sysconfig/network-scripts/ifcfg-: No such file 
or directory
bootproto not specified for

Expected results:

Additional info:

This happens because it used "host" to get its own IP address. host used to 
just return the IP address. Now it also returns "...mail is handled by..." for 
MX records. So the cut command returns info from the last line, which is not 
what you want. The following diff fixes the problem:

661c661
<       remoteip=$(host $remote | cut -d ' ' -f 4)
---
>       remoteip=$(host $remote | grep 'has address' | cut -d ' ' -f 4)

Also, while you are at it, you might want to modify the Description field of 
the mkinitrd rpm to take out the reference to LILO, since LILO is no longer a 
default option under FC5.
Comment 1 Alexander Aminoff 2006-08-30 12:15:26 EDT
Argh. Please ignore all references to the NFS server being specified by IP. NFS 
server being specified by IP does not work; that is a different bug - test with 
NFS server specified by name, e.g:

store2.nber.org:/vol/vol1/Fedora-5-test  /         nfs     defaults        1 1

Comment 2 Bill Nottingham 2006-09-01 16:46:35 EDT
This should already be fixed in rawhide mkinitrd.
Comment 3 Bug Zapper 2008-04-03 23:37:18 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 12:16:53 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.